task manta {

    File ref_dir
	File fasta
	File normal_bam
	File normal_bam_index
	File tumour_bam
	File tumour_bam_index
	String memory
	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<

		nt=$(nproc)
		mkdir -p /cromwell_root/tmp

		manta_config=opt/manta-1.6.0.centos6_x86_64/bin/configManta.py

		$manta_config --normalBam ${normal_bam} --tumorBam ${tumour_bam} --referenceFasta ${ref_dir}/${fasta} --runDir /cromwell_root/tmp

		/cromwell_root/tmp/runWorkflow.py -j $nt -g ${memory}

		cp /cromwell_root/tmp/results/variants/somaticSV.vcf.gz ${sample}_manta_somaticSV.vcf.gz
		cp /cromwell_root/tmp/results/variants/diploidSV.vcf.gz ${sample}_manta_germlineSV.vcf.gz


	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File manta_somatic_vcf = "${sample}_manta_somaticSV.vcf.gz"
		File manta_germline_vcf = "${sample}_manta_germlineSV.vcf.gz"
	}
}
